* {
  box-sizing: border-box;
}

.header {
  position: relative;
  background-color: #231f43;
  text-align: left;
  padding-top: 20px;
  padding-bottom: 20px;
  padding-right: 20px;
  padding-left: 20px;
  .header-logo {
    position: absolute;
    top: 10px;
    right: 15px;
    width: 170px;
    height: 70px;

    img {
      width: 170px;
      height: auto;
    }
  }
  nav a {
    margin-top: 0;
    margin-bottom: 0;
    margin-right: 27px;
    margin-left: 27px;
    .avatar {
      border-radius: 100%;
      width: 40px;
      height: auto;
    }
  }

  #dropdown-menu.m-hidden {
    visibility: hidden;
    display: block;
    opacity: 0;
    position: absolute;
    top: -1000px;
    right: 0px;
    position: fixed;
  }

  #dropdown-menu {
    width: 100%;
    z-index: 1000;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 10px;
    padding-left: 10px;
    background: rgba(35,31,67,0.7);
    text-align: right;
  }

  .header-button {
    border-width: 2px;
    border-color: #ffcb05;
    border-style: solid;
    border-radius: 0px;
    color: #ffcb05;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 16px;
    padding-left: 16px;
    font-size: 14px;
  }
}


a:link {
  text-decoration: none;
  outline: 0;
  border: none;
}


.desktopOnly {
  visibility: visible;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.mobileOnly {
  visibility: hidden;
  display: none;
}



@media only screen and (max-width: 850px) {
  .mobileOnly {
    visibility: visible;
    display: block;
  }
  .header {
    nav a {
      margin-top: 0;
      margin-bottom: 0;
      margin-right: 10px;
      margin-left: 10px;
    }
    .header-button {
      font-size: 10px;
      padding-top: 5px;
      padding-bottom: 5px;
      padding-right: 8px;
      padding-left: 8px;
    }

    #dropdown-menu a {
      display: block;
      padding-top: 10px;
      padding-bottom: 10px;
      padding-right: 10px;
      padding-left: 10px;
    }

    #dropdown-menu.show {
      opacity: 2;
      position: absolute;
      top: 50px;
      right: 0px;
      position: fixed;
    }

  }


  .desktopOnly {
      visibility: hidden;
      display: none;
  }

}

.hidden {
  display: none;
}

.show {
  display: block;
}

a {
  display: inline-block;
  color: white;
  width: auto;
    &:hover {
      cursor: pointer;
    }
}

#profile-holder {
  position: relative;
  display: inline;
}

#user-popup.show {
  visibility: visible;
  display: block;
  opacity: 1;
}

#user-popup.m-hide {
  display: block;
  visibility: hidden;
  opacity: 0;
}


#user-popup {
  display: none;
  opacity: 0;
  position: absolute;
  z-index: 2000;
  top: 60px;
  left: -7px;
  width: 300px;
  height: 220px;
  background-color: #535166;
  border-radius: 5px;
  padding-top: 5px;
  padding-bottom: 5px;
  padding-right: 5px;
  padding-left: 5px;
  text-align: right;
  box-shadow: 0px 1px 50px 0px #000000;

  #user-popup::before {
    background-color: #535166;
    content: "\00a0";
    display: block;
    height: 16px;
    width: 16px;
    position: absolute;
    top: -7.5px;
    left: 50px;
  }

  .user-nickname {
    color: #ffcb05;
    font-size: 16px;
  }

  a {
    display: block;
  }
}
